[Launch]
ProgramExecutable="VideoEnhancer\Aiseesoft Video Enhancer.exe"
WaitForExe1=convertor.exe
RunAsAdmin=force
DirectoryMoveOK=yes

[DirectoriesMove]
Local\Aiseesoft Video Enhancer=%LOCALAPPDATA%\Aiseesoft Studio\Aiseesoft Video Enhancer
Documents=%DOCUMENTS%\Aiseesoft Studio

[DirectoriesCleanupForce]
1=%LOCALAPPDATA%\Aiseesoft Studio\FontConf

[DirectoriesCleanupIfEmpty]
1=%ALLUSERSAPPDATA%\Aiseesoft Studio\Aiseesoft 4K Converter
2=%ALLUSERSAPPDATA%\Aiseesoft Studio
3=%LOCALAPPDATA%\Aiseesoft Studio
4=%Documents%\Aiseesoft Studio\Download
5=%Documents%\Aiseesoft Studio\Snapshot
6=%Documents%\Aiseesoft Studio\Video
7=%Documents%\Aiseesoft Studio

[Activate]
Registry=true

[RegistryValueWrite]
HKCU\Software\Aiseesoft Studio\Aiseesoft Video Enhancer\Update\AutoEnabled=REG_SZ:false

[RegistryKeys]
VideoEnhancer="HKCU\Software\Aiseesoft Studio"
-=HKCU\Software\Classes\CLSID\{0F8A1CB4-7F19-4fe9-A724-5F3DE1CB4513}
-=HKCU\Software\Trolltech

[FileWrite1]
Type=Replace
File=%PAL:DataDir%\settings\VideoEnhancer.reg
Find=%PAL:LastDrive%%PAL:LastPackagePartialDir:DoubleBackslash%\\
Replace=%PAL:Drive%%PAL:PackagePartialDir:DoubleBackslash%\\

[FileWrite2]
Type=Replace
File=%PAL:DataDir%\settings\VideoEnhancer.reg
Find=%PAL:LastPortableAppsBaseDir:DoubleBackslash%\\
Replace=%PAL:PortableAppsBaseDir:DoubleBackslash%\\

[FileWrite3]
Type=Replace
File=%PAL:DataDir%\settings\VideoEnhancer.reg
Find=%PAL:LastDrive%\\
Replace=%PAL:Drive%\\